Subject: Re: [PATCH v2 0/7] tests: don't depend on "git init" using the template

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jun 2022 12:17:23 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> This reduced-in-scope re-roll of [1] changes those tests that
> implicitly relied on the existence of the default "git init" template
> to no longer do so. This makes the intent of the tests more explicit,
> e.g. in the case of the .git/branch directory.
>
> Parts of the v1 were already split up, re-rolled and merged as
> a5bf611cc4f (Merge branch 'ab/hook-tests-updates', 2022-03-30).
>
> Future goals: I then have a local topic on top of this to add the
> "--no-template" option to "git init", and to have the test suite run
> in that mode by default, that's currently one of the blockers for
> making the test run without the bin-wrappers[2], which as noted in [3]
> leaves us with some blind spots in our tests.
>
> But for now this is all relatively straightforward conversion of
> existing tests to make them not rely on "git init" giving them a
> template, which they opt-in to with a new TEST_CREATE_REPO_NO_TEMPLATE
> variable.
>
> Junio: There's a trivial conflict in one of the tests with "next",
> i.e.:

Heh.  That is good to know, but I am not sure why we need to run
without template to begin with, so "why this much churn?" is my
first reaction.  Without the churn in the first place, we do not
have to worry about unnecessary conflicts ;-).

Thanks.